public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in app-benchmarks/bootchart2/files: bootchart2.init
@ 2012-04-02 13:06 Justin Lecher (jlec)
  0 siblings, 0 replies; 3+ messages in thread
From: Justin Lecher (jlec) @ 2012-04-02 13:06 UTC (permalink / raw
  To: gentoo-commits

jlec        12/04/02 13:06:33

  Added:                bootchart2.init
  Log:
  add init script for termination
  
  (Portage version: 2.2.0_alpha96/cvs/Linux x86_64)

Revision  Changes    Path
1.1                  app-benchmarks/bootchart2/files/bootchart2.init

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-benchmarks/bootchart2/files/bootchart2.init?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-benchmarks/bootchart2/files/bootchart2.init?rev=1.1&content-type=text/plain

Index: bootchart2.init
===================================================================
#!/sbin/runscript
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-benchmarks/bootchart2/files/bootchart2.init,v 1.1 2012/04/02 13:06:33 jlec Exp $

depend() {
	use localmount
}

start() {
	if /bin/grep -q "rdinitrd=/sbin/bootchartd" /proc/cmdline; then
		if /bin/pidof bootchart-collector> /dev/null 2>&1; then
			ebegin "Scheduling termination of Bootchart"
			/sbin/bootchartd start
			/sbin/bootchartd wait &
		eend $?
	else
		elog "No bootchart process found!"
		eindent
		elog "This script does not start bootchart, but only schedules its termination."
		elog "Bootchart should be started from the kernel command line."
		elog "Please check the README on how to do that."
		eoutdent
		eend 0
	fi	
}






^ permalink raw reply	[flat|nested] 3+ messages in thread

* [gentoo-commits] gentoo-x86 commit in app-benchmarks/bootchart2/files: bootchart2.init
@ 2012-04-03 14:06 Justin Lecher (jlec)
  0 siblings, 0 replies; 3+ messages in thread
From: Justin Lecher (jlec) @ 2012-04-03 14:06 UTC (permalink / raw
  To: gentoo-commits

jlec        12/04/03 14:06:37

  Modified:             bootchart2.init
  Log:
  app-benchmarks/bootchart2: Closing if clause in init script
  
  (Portage version: 2.2.0_alpha98/cvs/Linux x86_64)

Revision  Changes    Path
1.2                  app-benchmarks/bootchart2/files/bootchart2.init

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-benchmarks/bootchart2/files/bootchart2.init?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-benchmarks/bootchart2/files/bootchart2.init?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-benchmarks/bootchart2/files/bootchart2.init?r1=1.1&r2=1.2

Index: bootchart2.init
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-benchmarks/bootchart2/files/bootchart2.init,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- bootchart2.init	2 Apr 2012 13:06:33 -0000	1.1
+++ bootchart2.init	3 Apr 2012 14:06:37 -0000	1.2
@@ -1,7 +1,7 @@
 #!/sbin/runscript
 # Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-benchmarks/bootchart2/files/bootchart2.init,v 1.1 2012/04/02 13:06:33 jlec Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-benchmarks/bootchart2/files/bootchart2.init,v 1.2 2012/04/03 14:06:37 jlec Exp $
 
 depend() {
 	use localmount
@@ -13,7 +13,8 @@
 			ebegin "Scheduling termination of Bootchart"
 			/sbin/bootchartd start
 			/sbin/bootchartd wait &
-		eend $?
+			eend $?
+		fi
 	else
 		elog "No bootchart process found!"
 		eindent






^ permalink raw reply	[flat|nested] 3+ messages in thread

* [gentoo-commits] gentoo-x86 commit in app-benchmarks/bootchart2/files: bootchart2.init
@ 2012-04-04  6:11 Justin Lecher (jlec)
  0 siblings, 0 replies; 3+ messages in thread
From: Justin Lecher (jlec) @ 2012-04-04  6:11 UTC (permalink / raw
  To: gentoo-commits

jlec        12/04/04 06:11:34

  Modified:             bootchart2.init
  Log:
  app-benchmarks/bootchart2: Initscripts only can use einfo not elog
  
  (Portage version: 2.2.0_alpha99/cvs/Linux x86_64)

Revision  Changes    Path
1.3                  app-benchmarks/bootchart2/files/bootchart2.init

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-benchmarks/bootchart2/files/bootchart2.init?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-benchmarks/bootchart2/files/bootchart2.init?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-benchmarks/bootchart2/files/bootchart2.init?r1=1.2&r2=1.3

Index: bootchart2.init
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-benchmarks/bootchart2/files/bootchart2.init,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- bootchart2.init	3 Apr 2012 14:06:37 -0000	1.2
+++ bootchart2.init	4 Apr 2012 06:11:34 -0000	1.3
@@ -1,7 +1,7 @@
 #!/sbin/runscript
 # Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-benchmarks/bootchart2/files/bootchart2.init,v 1.2 2012/04/03 14:06:37 jlec Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-benchmarks/bootchart2/files/bootchart2.init,v 1.3 2012/04/04 06:11:34 jlec Exp $
 
 depend() {
 	use localmount
@@ -16,11 +16,11 @@
 			eend $?
 		fi
 	else
-		elog "No bootchart process found!"
+		einfo "No bootchart process found!"
 		eindent
-		elog "This script does not start bootchart, but only schedules its termination."
-		elog "Bootchart should be started from the kernel command line."
-		elog "Please check the README on how to do that."
+		einfo "This script does not start bootchart, but only schedules its termination."
+		einfo "Bootchart should be started from the kernel command line."
+		einfo "Please check the README on how to do that."
 		eoutdent
 		eend 0
 	fi	






^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2012-04-04  6:11 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-04-02 13:06 [gentoo-commits] gentoo-x86 commit in app-benchmarks/bootchart2/files: bootchart2.init Justin Lecher (jlec)
  -- strict thread matches above, loose matches on Subject: below --
2012-04-03 14:06 Justin Lecher (jlec)
2012-04-04  6:11 Justin Lecher (jlec)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox